Get Memory
curl --request GET \
--url https://api.memoclaw.com/v1/memories/{id}import requests
url = "https://api.memoclaw.com/v1/memories/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.memoclaw.com/v1/memories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.memoclaw.com/v1/memories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.memoclaw.com/v1/memories/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.memoclaw.com/v1/memories/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.memoclaw.com/v1/memories/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"user_id": "<string>",
"namespace": "<string>",
"content": "<string>",
"metadata": {},
"importance": 123,
"memory_type": "<string>",
"session_id": {},
"agent_id": {},
"pinned": true,
"expires_at": {},
"created_at": "<string>",
"updated_at": "<string>",
"accessed_at": "<string>",
"access_count": 123
}API Reference
Get Memory
GET /v1/memories/:id — Retrieve a single memory by ID.
GET
/
v1
/
memories
/
{id}
Get Memory
curl --request GET \
--url https://api.memoclaw.com/v1/memories/{id}import requests
url = "https://api.memoclaw.com/v1/memories/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.memoclaw.com/v1/memories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.memoclaw.com/v1/memories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.memoclaw.com/v1/memories/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.memoclaw.com/v1/memories/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.memoclaw.com/v1/memories/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"user_id": "<string>",
"namespace": "<string>",
"content": "<string>",
"metadata": {},
"importance": 123,
"memory_type": "<string>",
"session_id": {},
"agent_id": {},
"pinned": true,
"expires_at": {},
"created_at": "<string>",
"updated_at": "<string>",
"accessed_at": "<string>",
"access_count": 123
}
Price: FREE
Path Parameters
string
required
UUID of the memory to retrieve.
Response (200)
Returns the full memory object.string
UUID of the memory.
string
UUID of the owning user.
string
Namespace of the memory.
string
The memory text.
object
Metadata attached to the memory.
number
Importance value (0–1).
string
Memory type:
correction, preference, decision, project, observation, or general.string | null
Session ID, if set.
string | null
Agent ID, if set.
boolean
Whether the memory is pinned (exempt from decay).
string | null
ISO 8601 expiry date, if set.
string
ISO 8601 creation timestamp.
string
ISO 8601 last update timestamp.
string
ISO 8601 last access timestamp.
number
Number of times this memory has been recalled.
Errors
| Status | Description |
|---|---|
| 404 | Memory not found, deleted, or belongs to another wallet. |
| 422 | Invalid UUID format. |
Example
curl https://api.memoclaw.com/v1/memories/550e8400-e29b-41d4-a716-446655440000
const response = await fetch(
"https://api.memoclaw.com/v1/memories/550e8400-e29b-41d4-a716-446655440000"
);
const data = await response.json();
from memoclaw import MemoClaw
client = MemoClaw()
memory = client.get("550e8400-e29b-41d4-a716-446655440000")
print(memory.content)
const memory = await client.get("550e8400-e29b-41d4-a716-446655440000");
console.log(memory.content);
Response
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"namespace": "default",
"content": "User prefers dark mode and vim keybindings",
"metadata": {
"tags": ["preferences", "ui"]
},
"importance": 0.8,
"memory_type": "preference",
"session_id": null,
"agent_id": null,
"pinned": false,
"expires_at": null,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"accessed_at": "2025-01-20T14:22:00Z",
"access_count": 3
}